python-evdev_0.4.7-0ubuntu6_i386.deb


Advertisement

Description

python-evdev - Python bindings for the generic input event interface

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-evdev
Package version 0.4.7
Package release 0ubuntu6
Package architecture i386
Package type deb
Installed size 124 B
Download size 27.61 KB
Official Mirror archive.ubuntu.com
The evdev interface serves the purpose of passing events generated in the
kernel directly to userspace through character devices that are typically
located in /dev/input/.
evdev also comes with bindings to uinput, the userspace input subsystem.
Uinput allows userspace programs to create and handle input devices from
which they can inject events directly into the input subsystem.
This is the Python 2 version of the package.

Alternatives

Package Version Architecture Repository
python-evdev_0.4.7-0ubuntu6_amd64.deb 0.4.7 amd64 Ubuntu Universe
python-evdev - - -

Requires

Name Value
libc6 >= 2.4
python << 2.8
python >= 2.7~
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-evdev_0.4.7-0ubuntu6_i386.deb
Source Package python-evdev

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-evdev deb package:
    # sudo apt-get install python-evdev

Files

Path
/usr/lib/python2.7/dist-packages/evdev/__init__.py
/usr/lib/python2.7/dist-packages/evdev/_ecodes.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/evdev/_ecodes.py
/usr/lib/python2.7/dist-packages/evdev/_input.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/evdev/_input.py
/usr/lib/python2.7/dist-packages/evdev/_uinput.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/evdev/_uinput.py
/usr/lib/python2.7/dist-packages/evdev/device.py
/usr/lib/python2.7/dist-packages/evdev/ecodes.py
/usr/lib/python2.7/dist-packages/evdev/events.py
/usr/lib/python2.7/dist-packages/evdev/ff.py
/usr/lib/python2.7/dist-packages/evdev/genecodes.py
/usr/lib/python2.7/dist-packages/evdev/uinput.py
/usr/lib/python2.7/dist-packages/evdev/util.py
/usr/lib/python2.7/dist-packages/evdev-0.4.7.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/evdev-0.4.7.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/evdev-0.4.7.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/evdev-0.4.7.egg-info/zip-safe
/usr/share/doc/python-evdev/README.rst
/usr/share/doc/python-evdev/changelog.Debian.gz
/usr/share/doc/python-evdev/copyright

Changelog

2017-08-04 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
python-evdev (0.4.7-0ubuntu6) artful; urgency=medium
* No change rebuild to drop Python 3.5 support.
2017-05-12 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
python-evdev (0.4.7-0ubuntu5) artful; urgency=medium
* No change rebuild to add Python 3.6 support.
2016-03-20 - Logan Rosen <logan@ubuntu.com>
python-evdev (0.4.7-0ubuntu4) xenial; urgency=medium
* debian/patches/input-event-codes.diff: Cherrypick patch from upstream Git
to fix import failure with Linux 4.4.0 kernel headers.
2016-01-18 - Matthias Klose <doko@ubuntu.com>
python-evdev (0.4.7-0ubuntu3) xenial; urgency=medium
* No-change rebuild to drop python3.4 support.
2015-07-22 - Steve Langasek <steve.langasek@ubuntu.com>
python-evdev (0.4.7-0ubuntu2) wily; urgency=medium
* No-change rebuild for python3.5 transition
2015-05-25 - Logan Rosen <logan@ubuntu.com>
python-evdev (0.4.7-0ubuntu1) wily; urgency=medium
* New upstream release.
* debian/copyright: Update short name for BSD license.
* debian/control:
- Build-depend on dh-python.
- Fix capitalization of "python" in description synposes.
- Bump Standards-Version to 3.9.6.
* debian/rules: Simplify by using pybuild.
2014-04-01 - Dimitri John Ledkov <xnox@ubuntu.com>
python-evdev (0.4.1-0ubuntu3) trusty; urgency=medium
* No change rebuild to drop python3.3 compiled extension.
2014-01-04 - Matthias Klose <doko@ubuntu.com>
python-evdev (0.4.1-0ubuntu2) trusty; urgency=medium
* Rebuild for python3.4 as a supported python version.
2013-07-29 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
python-evdev (0.4.1-0ubuntu1) saucy; urgency=low
* New upstream version. (LP: #1206139)
- Fix segfault in device_read_many()
- Fix reference counting in device_read, device_read_many and 
ioctl_capabilities
- New enhancements
* debian/control, debian/copyright:
- Modified the short package descriptions, changed homepage and Vcs
2013-05-30 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
python-evdev (0.3.3-0ubuntu1) saucy; urgency=low
* Initial release.

See Also

Package Description
python-evemu_2.6.0-0.1_i386.deb Linux Input Event Device Emulation Library - Python bindings
python-evtx_0.6.1-1_all.deb parser for recent Windows Event Log files -- Python 2 version
python-ewmh-doc_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (common documentation)
python-ewmh_0.1.5-1_all.deb Python interface to EWMH-compliant window managers (Python 2)
python-exabgp_4.0.2-0ubuntu1_all.deb BGP swiss army knife of networking - Python 2 module
python-exactimage_0.9.2-1build1_i386.deb fast image manipulation library (Python bindings)
python-exam_0.10.5-2_all.deb Python module to help write better tests
python-excelerator_0.6.4.1-3_all.deb module for reading/writing Excel spreadsheet files
python-exconsole_0.1.5+git20131201-1_all.deb emergency/postmortem Python console
python-execnet_1.4.1-4_all.deb rapid multi-Python deployment (Python 2)
python-exif_2.1.2-1_all.deb Python library to extract Exif data from TIFF and JPEG files
python-expeyes_4.2.1+dfsg-1_all.deb Python library for expeyes
python-expiringdict_1.1.2-1_all.deb Python caching library
python-expyriment_0.7.0+git34-g55a4e7e-3.2_all.deb Python library for cognitive and neuroscientific experiments
python-extractor_0.6-7_all.deb extracts meta-data from files of arbitrary type (Python bindings)
Advertisement
Advertisement